<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Bootstrap Components</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">
</head>
<body class="bg-dark">
    <div class="container">
        <div class="row mt-5 text-center">
            <div class="
                col-sm-12 
                d-flex 
                align-items-center 
                flex-column
            ">
                <h1 class="text-white">Contact Me</h1>
                <form class="bg-primary w-75 p-3">
                    <div class="form-row">
                        <div class="col-12 col-md-8 col-lg-4">
                            <label class="text-white" for="user-name">Name</label>
                            <input type="text" class="form-control" id="user-name" placeholder="Your Name">
                        </div>
    
                        <div class="col-12 col-md-4 col-lg-4">
                            <label class="text-white" for="user-email">Email address</label>
                            <input type="email" class="form-control" id="user-email" placeholder="name@example.com">
                        </div>

                        <div class="col-12 col-md-8 col-lg-4">
                            <label class="text-white" for="user-contact-number">Contact Number</label>
                            <input type="number" class="form-control" id="user-contact-number" placeholder="+63 900 000 0000">
                        </div>

                        <div class="col-12 col-md-4 col-lg-4">
                            <label class="text-white" for="user-concern">Concern</label>
                            <select class="form-control" id="user-concern">
                                <option>Quotation</option>
                                <option>Investing</option>
                                <option>Hiring</option>
                            </select>
                        </div>

                        <div class="col-12 col-lg-8">
                            <label class="text-white" for="user-message">Message</label>
                            <textarea class="form-control" id="user-message" rows="1"></textarea>
                        </div>
        
                        <div class="col-12 mt-4 d-flex justify-content-center">
                            <button type="button" class="btn btn-dark d-block text-white" data-toggle="modal" data-target="#submit-modal">Send Email</button>
                        </div>
                    </div>
                </form>

                <!-- Modal -->
                <div class="modal fade" id="submit-modal" tabindex="-1" aria-labelledby="submit-modal" aria-hidden="true">
                    <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                        <h5 class="modal-title" id="submit-modal">Thank you for contacting us!</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                        </div>
                        <div class="modal-body">
                        <p>Message Successfully Sent</p>
                        </div>
                        <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        </div>
                    </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>
</body>
</html>